読者です 読者をやめる 読者になる 読者になる

日々精進

新しく学んだことを書き留めていきます

gulpでRequireJSのビルドをする際にgulp-requirejsを使ってはいけない

gulpの公式リポジトリにはblackListというファイルがあり、非推奨なプラグインが指定されている。公式が名指しで使うなって言うってすごいな。。

このblackListの中にgulp-requirejsもある。これを使わずrequirejsを直接使えと書いてある。 なので以下のようにshellコマンドを直接叩くことにした。

var gulp = require('gulp'),
    shell = require('gulp-shell');

// Run the r.js command, so simple taks :)
gulp.task('scripts', shell.task([
    'r.js -o build/r/build.js'
]))

参考: